PACKAGE   = umlaute

#################################################################################
#
# Makefile for LaTeX2e packages (1995/01/10)
# -----------------------------
# (c) 1994/95 Axel Sommerfeldt
#
# `make' or `make all' generates the style file (.sty) and documentation (.dvi),
#                      LaTeX2e and MakeIndex are required for this.
#                      If you don't have MakeIndex installed on your system
#                      use `make sty' and `make puredvi' instead.
# `make sty'           generates the style file (.sty)
# `make dvi'           generates the documentation file (.dvi)
# `make install'       puts the style file (.sty) into the CONTRIB directory
# `make clean'         removes all files except the distribution files (.ins + .dtx),
#                      the style file (.sty) and the documentation file (.dvi)
#
################################################################################

LATEX	  = latex
MAKEINDEX = makeindex
CONTRIB   = /usr/local/lib/texmf/tex/contrib

all:		sty dvi

sty:		$(PACKAGE).sty

dvi:		$(PACKAGE).dvi

clean:
		rm *.aux *.drv *.glo *.gls *.idx *.ilg *.ind *.log

install:
		cp $(PACKAGE).sty $(CONTRIB)

uninstall:
		rm $(CONTRIB)/$(PACKAGE).sty

$(PACKAGE).aux:	$(PACKAGE).dtx $(PACKAGE).sty
		$(LATEX) $(PACKAGE).dtx

$(PACKAGE).dvi:	$(PACKAGE).dtx $(PACKAGE).sty $(PACKAGE).aux
		$(LATEX) $(PACKAGE).dtx

$(PACKAGE).ind:	$(PACKAGE).idx
		$(MAKEINDEX) -s gind.ist $(PACKAGE)

$(PACKAGE).idx: $(PACKAGE).dtx $(PACKAGE).sty
		$(LATEX) $(PACKAGE).dtx

$(PACKAGE).gls:	$(PACKAGE).glo
		$(MAKEINDEX) -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo

$(PACKAGE).glo: $(PACKAGE).dtx $(PACKAGE).sty
		$(LATEX) $(PACKAGE).dtx

$(PACKAGE).sty:	$(PACKAGE).ins $(PACKAGE).dtx
		$(LATEX) $(PACKAGE).ins

